# Enum Class VulkanFormatColorChannels

java.lang.Object
java.lang.Enum<VulkanFormatColorChannels>
com.io7m.jcoronado.api.VulkanFormatColorChannels

All Implemented Interfaces:
  `Serializable`, `Comparable<VulkanFormatColorChannels>`, `Constable`

public enum VulkanFormatColorChannels extends Enum<VulkanFormatColorChannels>
The channels present in a color image.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLOR_CHANNELS_ABGR`
  An image with red, green, blue, and alpha channels.
  `COLOR_CHANNELS_ARGB`
  An image with red, green, blue, and alpha channels.
  `COLOR_CHANNELS_BGR`
  An image with red, green, and blue channels.
  `COLOR_CHANNELS_BGRA`
  An image with red, green, blue, and alpha channels.
  `COLOR_CHANNELS_R`
  An image with a single red channel.
  `COLOR_CHANNELS_RG`
  An image with red and green channels.
  `COLOR_CHANNELS_RGB`
  An image with red, green, and blue channels.
  `COLOR_CHANNELS_RGBA`
  An image with red, green, blue, and alpha channels.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `isSupersetOf(VulkanFormatColorChannels other)`
  `static VulkanFormatColorChannels`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanFormatColorChannels[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COLOR_CHANNELS_R

    public static final VulkanFormatColorChannels COLOR_CHANNELS_R
    An image with a single red channel.

  - ### COLOR_CHANNELS_RG

    public static final VulkanFormatColorChannels COLOR_CHANNELS_RG
    An image with red and green channels.

  - ### COLOR_CHANNELS_RGB

    public static final VulkanFormatColorChannels COLOR_CHANNELS_RGB
    An image with red, green, and blue channels.

  - ### COLOR_CHANNELS_BGR

    public static final VulkanFormatColorChannels COLOR_CHANNELS_BGR
    An image with red, green, and blue channels.

  - ### COLOR_CHANNELS_RGBA

    public static final VulkanFormatColorChannels COLOR_CHANNELS_RGBA
    An image with red, green, blue, and alpha channels.

  - ### COLOR_CHANNELS_ARGB

    public static final VulkanFormatColorChannels COLOR_CHANNELS_ARGB
    An image with red, green, blue, and alpha channels.

  - ### COLOR_CHANNELS_ABGR

    public static final VulkanFormatColorChannels COLOR_CHANNELS_ABGR
    An image with red, green, blue, and alpha channels.

  - ### COLOR_CHANNELS_BGRA

    public static final VulkanFormatColorChannels COLOR_CHANNELS_BGRA
    An image with red, green, blue, and alpha channels.

- ## Method Details

  - ### values

    public static VulkanFormatColorChannels[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanFormatColorChannels valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isSupersetOf

    public abstract boolean isSupersetOf(VulkanFormatColorChannels other)
    Parameters:
      `other` - The other channels
    Returns:
      `true` if these channels are a superset of `other`